com.lowagie.rups.view.icons

## Class IconFetcher

- java.lang.Object
- - com.lowagie.rups.view.icons.IconFetcher

    public class IconFetcher
    extends java.lang.Object

Class that fetches the icons in com.lowagie.trapeze.icons.

### Field Summary

Fields
`protected static java.util.HashMap<java.lang.String,javax.swing.Icon>` `cache` Cache with icons.

### Constructor Summary

Constructors
Constructor and Description
`IconFetcher()`

### Method Summary

Methods
`static javax.swing.Icon` `getIcon(java.lang.String filename)` Gets an Icon with a specific name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cache

    protected static java.util.HashMap<java.lang.String,javax.swing.Icon> cache

Cache with icons.

### Constructor Detail

#### IconFetcher

    public IconFetcher()

### Method Detail

#### getIcon

    public static javax.swing.Icon getIcon(java.lang.String filename)

Gets an Icon with a specific name.

Parameters:
  `filename` - the filename of the Icon.
Returns:
  an Icon